#include "../include/rational.hpp"
#include "../include/subtraction.hpp"

CSubtraction::CSubtraction( CPrintable *a, CPrintable *b ) : COperator(a, b) {}
CRational *CSubtraction::evaluate() {
    std::unique_ptr<CRational> a (m_firstArgument->evaluate());
    std::unique_ptr<CRational> b (m_secondArgument->evaluate());
    return a->sub(b.get());
}